org.apache.ignite.cache

## Class CachePartialUpdateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.cache.CacheException
        - - org.apache.ignite.cache.CachePartialUpdateException

All Implemented Interfaces:
  Serializable

    public class CachePartialUpdateException
    extends javax.cache.CacheException

Exception thrown from non-transactional cache in case when update succeeded only partially. One can get list of keys for which update failed with method `failedKeys()`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CachePartialUpdateException(CachePartialUpdateCheckedException e)`

### Method Summary

Methods
`<K> Collection<K>` `failedKeys()` Gets collection of failed keys.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CachePartialUpdateException

    public CachePartialUpdateException(CachePartialUpdateCheckedException e)

Parameters:
  `e` - Cause.

### Method Detail

#### failedKeys

    public <K> Collection<K> failedKeys()

Gets collection of failed keys.

Returns:
  Collection of failed keys.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015